CK_ARRAY_DEINIT(3)

NAME
ck_array_deinit - destroy and deinitialize a pointer array

LIBRARY
Concurrency Kit (libck, -lck)

SYNOPSIS
#include <ck_array.h>
void
ck_array_deinit(ck_array_t *array, bool defer);

DESCRIPTION
The ck_array_deinit(3) destroys the memory associated with the array pointed to by array. The defer argument is true if the allocator must destroy the memory using safe memory reclamation or false if the allocator can destroy this memory immediately.

RETURN VALUES
This function has no return value.

SEE ALSO
ck_array_commit(3), ck_array_put(3), ck_array_put_unique(3), ck_array_remove(3), ck_array_init(3) ck_array_length(3), ck_array_buffer(3), ck_array_initialized(3), CK_ARRAY_FOREACH(3)

Additional information available at http://concurrencykit.org/